import { ITouchData } from './types/TouchData.js';
import { Vector2 } from './Vector2.js';
import { Direction } from './types/Direction.js';

// 声明自定义事件类型
declare global {
  interface HTMLElementEventMap {
    'touchChange': CustomEvent<ITouchData>;
  }
}

export class GameInput {
  private currentInput: ITouchData = {
    direction: Direction.None,
    speedFactor: 1,
    normalizedPosition: new Vector2(0, 0)
  };

  constructor(private touchRing: HTMLElement) {
    this.initEvents();
  }

  private initEvents(): void {
    this.touchRing.addEventListener('touchChange', (event: CustomEvent<ITouchData>) => {
      this.currentInput = event.detail;
    });
  }

  getCurrentInput(): ITouchData {
    return this.currentInput;
  }
}
