
const path = require('path');
const WechatMiniprogramWebpackPlugin = require('wechat-miniprogram-webpack-plugin');

module.exports = {
  entry: './game.js',
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: 'game.js'
  },
  module: {
    rules: [
      {
        test: /\.ts$/,
        use: 'ts-loader',
        exclude: /node_modules/
      }
    ]
  },
  resolve: {
    extensions: ['.ts', '.js']
  },
  plugins: [
    new WechatMiniprogramWebpackPlugin()
  ],
  mode: 'production'
};
